## zmailer-2.99.57.pre3.tar.gz

=== Makefile ===
# Master Makefile for the ZMailer

# From  configure.in  !
VERSION   =  2.99.57.pre3
BUGREPORT = "zmhack@nic.funet.fi"


srcdir = .
VPATH = .


DESTDIR=
prefix=

ZCONFIG = /opt/mail/zmailer.conf
ZCONF   = ./zmailer.Config
#ZDEPEND = Dependencies
CPPDEP  =  gcc -MM
MKDIR   =  mkdir -p
MAILBIN =  $(DESTDIR)/opt/mail/bin

SHELL = /bin/sh

DISTFILES = COPYING COPYING.LIB ChangeLog Makefile.in README INSTALL \
NEWS configure configure.in config.h.in mkinstalldirs install-sh \
stamp-h.in acconfig.h

# Redundant stuff for making only selected programs.
PROGS	= router/router scheduler/scheduler			\
	scheduler/mailq smtpserver/smtpserver transports/-ok	\
	compat/rmail/rmail compat/sendmail/sendmail		\
	utils/vacation/vacation utils/makedb/makedb

# Subdirectories to run make in for the primary targets.
SUBDIRS =  smtpserver router scheduler transports compat utils
# Subdirectories where to run 'make clean'
MOREDIRS = libs lib libc libsh libident libmalloc libresolv ssl \
	   proto doc man
MOREDIRS2 = sfio
# Files to remove in cleanup
CLEANFILES = include/rfc822.entry $(ZCONF) version.c

DISTCLEANFILES = include/mail.h SiteConfig bin/mklibdeb bin/mkdeb	\
		utils/zmailer.init.sh	proto/cf/SMTP+UUCP.cf	\
		proto/cf/TELE-FI.cf	proto/cf/UTdefault.cf	\
		proto/db/aliases				\
		man/Makefile		proto/db/Makefile	\
		bin/mkdep		bin/mklibdep

#.SUFFIXES:

all: config.h Makefile rfc822.entry $(ZCONF) SiteConfig \
     libs/libtag include/sfio.h
	#rm -f libs/libtag
	for subdir in $(SUBDIRS); do \
		echo making $@ in $$subdir; \
		(cd $$subdir && $(MAKE) $(MFLAGS) $@) || exit 1; \
	done

#	If need be, "make libs" at the top-level will remake all libraries

include/sfio.h libs/libtag libs: force
	cd libs && $(MAKE) $(MFLAGS) all


info dvi:
	cd doc && $(MAKE) $@

check:
installcheck:


rfc822.entry: include/rfc822.entry

include/rfc822.entry:
	cd router ; $(MAKE) $(MFLAGS) rfc822.entry

install-cf:	# all
	@if [ -n "${prefix}" -a -z "${DESTDIR}" ] ; then echo "INSTEAD OF  prefix=  PLEASE INSTALL WITH:  DESTDIR=.. parameter"; exit 1; fi
	@. $(ZCONF) ; if [ -f $$ZCONFIG ] ; then	\
	 cmp -s $(ZCONF) $(DESTDIR)$$ZCONFIG ||		\
	   echo "**" && echo "** Please consider copying $(ZCONF) to $$ZCONFIG !" && echo "**";\
	else						\
		cp $(ZCONF) $(DESTDIR)$$ZCONFIG; chmod 644 $(DESTDIR)$$ZCONFIG; \
	fi
	cd proto ;	$(MAKE) $(MFLAGS) cf

install-bin:	# all
	@if [ -n "${prefix}" -a -z "${DESTDIR}" ] ; then echo "INSTEAD OF  prefix=  PLEASE INSTALL WITH:  DESTDIR=.. parameter"; exit 1; fi
	. $(ZCONF) ; zdir=`echo $$ZCONFIG|sed -e 's!\(.*\)/\([^/]*\)!\1/!'`; $(MKDIR) $(DESTDIR)$$zdir
	@. $(ZCONF) ; if [ -f $$ZCONFIG ] ; then	\
	 cmp -s $(ZCONF) $(DESTDIR)$$ZCONFIG ||		\
	   echo "**" && echo "** Please consider copying $(ZCONF) to $$ZCONFIG !" && echo "**";\
	else						\
		cp $(ZCONF) $(DESTDIR)$$ZCONFIG; chmod 644 $(DESTDIR)$$ZCONFIG; \
	fi
	@. $(ZCONF) ; cp $(srcdir)/ChangeLog $(DESTDIR)$$MAILSHARE/ChangeLog ; chmod 644 $(DESTDIR)$$MAILSHARE/ChangeLog
	@. $(ZCONF) ; cp ./config.status $(DESTDIR)$$MAILSHARE/config.status ; chmod 644 $(DESTDIR)$$MAILSHARE/config.status
	cd proto ;      $(MAKE) $(MFLAGS) install-bin  PZCONFIG="../$(ZCONF)"
	cd compat ;     $(MAKE) $(MFLAGS) install
	cd router ;     $(MAKE) $(MFLAGS) install
	cd scheduler ;  $(MAKE) $(MFLAGS) install
	cd smtpserver ; $(MAKE) $(MFLAGS) install
	cd transports ; $(MAKE) $(MFLAGS) install
	cd libc ;       $(MAKE) $(MFLAGS) install
	cd utils ;      $(MAKE) $(MFLAGS) install
	@. $(ZCONF) ; if [ -f $$ZCONFIG ] ; then	\
	 cmp -s $(ZCONF) $(DESTDIR)$$ZCONFIG ||		\
	   echo "**" && echo "** Please consider copying $(ZCONF) to $$ZCONFIG !" && echo "**";\
	else						\
		cp $(ZCONF) $(DESTDIR)$$ZCONFIG; chmod 644 $(DESTDIR)$$ZCONFIG; \
	fi
	$(MAKE) $(MFLAGS) post-install-note

dirs:
	@cd proto ; $(MAKE) $(MFLAGS) dirs PZCONFIG="../$(ZCONF)"

install:
	@if [ -n "${prefix}" -a -z "${DESTDIR}" ] ; then echo "INSTEAD OF  prefix=  PLEASE INSTALL WITH:  DESTDIR=.. parameter"; exit 1; fi
	$(MAKE) $(MFLAGS) dirs # all
	@. $(ZCONF) ; zdir=`echo $$ZCONFIG|sed -e 's!\(.*\)/\([^/]*\)!\1/!'`; $(MKDIR) $(DESTDIR)$$zdir
	@. $(ZCONF) ; cp $(ZCONF) $(DESTDIR)$$ZCONFIG ; chmod 644 $(DESTDIR)$$ZCONFIG
	@. $(ZCONF) ; cp $(srcdir)/ChangeLog $(DESTDIR)$$MAILSHARE/ChangeLog ; chmod 644 $(DESTDIR)$$MAILSHARE/ChangeLog
	@. $(ZCONF) ; cp ./config.status $(DESTDIR)$$MAILSHARE/config.status ; chmod 644 $(DESTDIR)$$MAILSHARE/config.status
	@cd proto ;      $(MAKE) $(MFLAGS) install  PZCONFIG="../$(ZCONF)"
	@cd compat ;     $(MAKE) $(MFLAGS) install
	@cd router ;     $(MAKE) $(MFLAGS) install
	@cd scheduler ;  $(MAKE) $(MFLAGS) install
	@cd smtpserver ; $(MAKE) $(MFLAGS) install
	@cd transports ; $(MAKE) $(MFLAGS) install
	@cd libc  ;      $(MAKE) $(MFLAGS) install
	@cd utils ;      $(MAKE) $(MFLAGS) install
	$(MAKE) $(MFLAGS) post-install-note

post-install-note:
	if test "$(DESTDIR)" = "" ; then $(MAKE) $(MFLAGS) post-install-text ; fi
	if test "$(DESTDIR)" != "" ; then $(MAKE) $(MFLAGS) post-install-text-dd ; fi

post-install-text:
	@echo ">>>> "
	@echo ">>>> Please do run $(MAILBIN)/post-install"
	@echo ">>>> "
post-install-text-dd:
	@echo ">>>> "
	@echo ">>>> Please do run $(MAILBIN)/post-install --destdir $(DESTDIR)"
	@echo ">>>> "

router/router:
	cd router ; $(MAKE) $(MFLAGS) router-a

scheduler/scheduler:
	cd scheduler ; $(MAKE) $(MFLAGS) all

scheduler-old/scheduler-old:
	cd scheduler-old ; $(MAKE) $(MFLAGS) all

scheduler/mailq:
	cd scheduler ; $(MAKE) $(MFLAGS) all

smtpserver/smtpserver:
	cd smtpserver ; $(MAKE) $(MFLAGS) smtpserver-a

compat/rmail/rmail:
	cd compat ; $(MAKE) $(MFLAGS) rmail/rmail-always

compat/sendmail/sendmail:
	cd compat ; $(MAKE) $(MFLAGS) sendmail/sendmail-always

utils/vacation/vacation:
	cd utils/vacation ; $(MAKE) $(MFLAGS) vacation

utils/makedb/makedb:
	cd utils/makedb ; $(MAKE) $(MFLAGS)

lib/libz.a: lib/*.c
	cd lib ; $(MAKE) $(MFLAGS)

libc/libzc.a: libc/*.c
	cd libc ; $(MAKE) $(MFLAGS)

libauth/libauth.a: libauth/authuser.c libauth/authuser.h
	cd libauth; $(MAKE) $(MFLAGS)

libresolv/libresolv.a: libresolv/*.c
	cd libresolv; $(MAKE) $(MFLAGS)

transports/libta/libta.a: transports/libta/*.c
	cd transports/libta ; $(MAKE) $(MFLAGS)

transports/-ok:
	cd transports ; $(MAKE) $(MFLAGS)

mostlyclean: mostlyclean-recursive mostlyclean-local

clean: clean-recursive clean-local

distclean: distclean-recursive distclean-local
	: rm config.status

realclean: realclean-recursive realclean-local
	: rm config.status

TAGS clean-recursive distclean-recursive realclean-recursive mostlyclean-recursive:
	for subdir in $(SUBDIRS) $(MOREDIRS) $(MOREDIRS2); do \
	  target=`echo $@|sed 's/-recursive//'`; \
	  echo making $$target in $$subdir; \
	  (cd $$subdir && $(MAKE) $(MFLAGS) $$target) || exit 1; \
	done
	rm -f $(CLEANFILES)

mostlyclean-local:

clean-local: mostlyclean-local
	-tt=`find . "(" -name "*~" -o -name "*.log" -o -name "*.orig" ")" -print` && \
		rm -f clean.state $$tt

clean-version:
	-rm -f `find . -name version.c -print | egrep -v libmalloc` dummy.name
	-rm -f `find . -name revision -print ` dummy.name

distclean-local: clean-local clean-version
	rm -f config.cache config.h config.log stamp-h distname
	rm -rf autom4te.cache
	rm -f $(DISTCLEANFILES)

realclean-local: distclean-local

neat:
	-rm -f $(ZCONF) $(CONF).sed eddep makedep Makefile.bak *.tar

scrub:	distclean
	-rm -f make.log make.out make.err* errs

scrub-obsolete-tail:
	# No null entry at all, let it be generated into proper form
	# when real processing goes thru..
	# @echo 'typedef enum { nilHeaderSemantics = -1 } HeaderSemantics;' > include/rfc822.entry

dist:
	@echo 'Did you run "make scrub" first?' ; sleep 2
	chmod -R a+rX .
	find . -type l -o -type d -o -type f -print | \
	  egrep -v -e '/(private[/$$]|config.cache|config.status|CVS[/$$]|RCS[/$$]|ID$$|.*\.o$$|fc[/$$]|.*\.a$$|stamp)' | \
	  CWD=`pwd` sed -e '/\.tar.*/d' -e "s/^\./`sh -c 'basename \`pwd\`'`/" | \
	  sort -t/ > MANIFEST
	cp MANIFEST /tmp
	(cd .. ; tar cvf - `cat /tmp/MANIFEST` ) > `basename \`pwd\``.tar
	rm -f /tmp/MANIFEST #MANIFEST

distprivate:
	@echo 'Did you run "make scrub" first?' ; sleep 2
	chmod -R a+rX .
	find . -type l -o -type d -o -type f -print | \
	  egrep -v -e '/(config.cache|config.status|CVS[/$$]|RCS[/$$]|ID$$|.*\.o$$|fc[/$$]|.*\.a$$|stamp)' | \
	  CWD=`pwd` sed -e '/\.tar.*/d' -e "s/^\./`sh -c 'basename \`pwd\`'`/" | \
	  sort -t/ > MANIFEST
	cp MANIFEST /tmp
	(cd .. ; tar cvf - `cat /tmp/MANIFEST` ) > `basename \`pwd\``.tar
	rm -f /tmp/MANIFEST #MANIFEST

dist-usa:
	@echo 'Did you run "make scrub" first?' ; sleep 2
	chmod -R a+rX .
	./bin/usa-itar-stripper.sh
	find . -type d -o -type f -print | \
	  egrep -v -e '/(private[/$$]|config.cache|crypto|config.status|CVS[/$$]|RCS[/$$]|ID$$|.*\.o$$|fc[/$$]|.*\.a$$|stamp)' | \
	  CWD=`pwd` sed -e '/\.tar.*/d' -e "s/^\./`sh -c 'basename \`pwd\`'`/" | \
	  sort -t/ > MANIFEST
	cp MANIFEST /tmp
	(cd .. ; tar cvf - `cat /tmp/MANIFEST` ) > `basename \`pwd\``-usa.tar
	./bin/usa-itar-stripper.sh reverse
	mv crypto.diff crypto-`basename \`pwd\``.diff
	rm -f /tmp/MANIFEST #MANIFEST


# For the justification of the following Makefile rules, see node
# `Automatic Remaking' in GNU Autoconf documentation.

SiteConfig Makefile: config.status Makefile.in
	CONFIG_FILES=$@ CONFIG_HEADERS= ./config.status

config.h: stamp-h
stamp-h: config.status $(srcdir)/config.h.in
	CONFIG_FILES= CONFIG_HEADERS=config.h ./config.status

config.status: configure
	./config.status --recheck
#
# The GNU autoconf guide says: have following condition, however
# not all systems have "autoconf", and thus people pulling this
# package from CVS are getting serious problems -- or have to
# "touch configure" after the CVS pull.
#
#configure: configure.in
#	cd $(srcdir) && autoconf


#
# Doing all parts of multistage autoconf process:
#
autoconf:
	aclocal -I m4/
	autoconf
	autoheader

config.h.in: stamp-h.in
stamp-h.in: configure.in
# 	cd $(srcdir) && autoheader
# # Use echo instead of date to avoid spurious conflicts for
# # people who use CVS, since stamp-h.in is distributed.
# 	echo > $(srcdir)/$@

$(ZCONF):	SiteConfig
	(echo '# Do not edit this file, instead edit '`pwd`'/SiteConfig.in file'; \
	cat SiteConfig | \
	sed -n	-e '/^\([a-zA-Z][^ 	]*\)[ 	]*=[ 	]*\(.*\)[ 	]*$$/!d' \
		-e 's/^\([^ 	]*\)[ 	]*=[ 	]*\(.*\)[ 	]*$$/\1="\2"/' \
		-e 's/^\([^=]*\)=""\(.*\)""$$/\1="\2"/'	\
		-e 's/^\([^=]*\)="\([^ 	]*\)"$$/\1=\2/'			\
		-e p	) > $@
# The sed-patterns above do:
#  - match sh-variable set expression, discard all else
#  - pick the variable name, and the parameter string and form up
#    an expression:   VAR="DATA"
#  - if the newly made expression has double quotes (because the input
#    was quoted), remove the extra quotes
#  - if a value is quoted, and it does not have white-space in it, strip
#    the quotes away
#  - and as always with sed, "p" in the end to output the result

#OLD OLD OLD OLD OLD OLD OLD OLD OLD OLD OLD OLD OLD OLD
# $(ZCONF):	SiteConfig
# 	(echo '# Do not edit this file, instead edit '`pwd`'/SiteConfig.in file'; \
# 	cat SiteConfig | \
# 	sed -n  -e '/^[^ 	]*=[ 	]*[^#].*/!d' \
# 		-e 's:^\([^ 	]*\)=[ 	]*\([^#].*\):\1=\2:' \
# 		-e 's:=\([^# 	]*[ 	][^#]*\)\(.*\):="\1"\2:' \
# 		-e 's:\([ 	][ 	]*\)":"\1:' \
# 		-e 's:"\([^ 	]*\)":\1:' -e 's:""::' -e p   ) > $@

force:

version.c: force # Makefile
	@sh -c ': $${USER=$${LOGNAME-root}} ; \
	REVISION=`cat revision 2>/dev/null || (echo 0 | tee revision)` ; \
	HOSTNAME=`(/bin/hostname || /bin/uname) 2>/dev/null` ; \
	case "$$REVISION" in \
	[0-9]|[0-9][0-9]|[0-9][0-9][0-9]) \
		REVISION=`expr $$REVISION + 1` ;; \
	*)	REVISION=0 ;; \
	esac ; \
	echo $$REVISION > revision ; \
	exec > version.c ; \
	echo "const char *Version = \"${VERSION} #$${REVISION}: `date`\";"; \
	echo "const char *VersionNumb = \"${VERSION} #$${REVISION}\";"; \
	echo "const char *Bugreport = \"${BUGREPORT}\";"; \
	echo "const char *CC_user = \"$${USER}@$${HOSTNAME}\";"; \
	echo "const char *CC_pwd = \"`pwd`\";" '

depend:
	for x in $(SUBDIRS) $(MOREDIRS); do		\

=== doc/manual/Makefile ===
#
# GNU-Makefile for ZMailer manual
#

VERSION = "v1.99.25"

#
#  Utilizing DocBook 3.1, Structured Stylesheets, DSSSL, openjade-1.3.1
#
#  All relevant bits are available at for example in redhat 7.1 beta
#  as RPM packages (February 2001)
#
#  When your "make pdf" run complains about running out of some resource
#  in TeX, go and edit file:  /usr/share/texmf/web2c/texmf.cnf
#  which tunes TeX startup array sizes.
#  At least:
#     save_size = 30000       % for saving values outside current group
#  and:
#     % Max number of characters in all strings, including all error messages,
#     % help texts, font names, control sequences.  These values apply to TeX and MP.
#     pool_size.context = 750000
#     pool_size.jadetex = 750000
#     pool_size = 750000
#     % Minimum pool space after TeX/MP's own strings; must be at least
#     % 25000 less than pool_size, but doesn't need to be nearly that large.
#     string_vacancies.context = 55000
#     string_vacancies = 35000
#     % Maximum number of strings.
#     max_strings.context = 65000
#     max_strings.jadetex = 65000
#     max_strings = 35000
#

# We run LOCAL version of Jade Wrapper (jw), which needs PATH with leading dot
PATH := .:${PATH}

PARTS=	zmanual.sgml		zmanual-cover.sgml		\
	zadministration.sgml    zref-router.sgml		\
	zapp-filefmts.sgml      zref-scheduler.sgml		\
	zapp-listmgrs.sgml      zref-sendmail.sgml		\
	zapp-scripts.sgml       zref-smtpserver.sgml		\
	zapp-ssl-lang.sgml      zref-transport-agents.sgml	\
	zapp-tragents.sgml      zref-utilities.sgml		\
	zinstall.sgml           zref-zmailer3.sgml		\
	zreference.sgml		zref-rmail.sgml			\
	ztutorial.sgml		zappendices.sgml		\
	zadm-dnsissues.sgml	zadm-router.sgml		\
	zadm-transport-agents.sgml zadm-logging.sgml		\
	zadm-scheduler.sgml	zadm-smtpserver.sgml		\
	zadm-queues.sgml	zadm-security.sgml		\
	zapp-rfc821.sgml	zapp-rfc821.sgml		\
	zmanual.dsl

FIGS   :=	msgmodl.fig msgrout.fig zmailer-logo.fig \
		zmdirs.fig zmprocs.fig zmprocs-smtps.fig \
		zmprocs-router.fig zmprocs-scheduler.fig \
		zmprocs-tragents.fig zadm-sch-threads.fig \
		zmsched1.fig smtpserver-processes.fig

.SUFFIXES: .eps .pdf .ps .gif .fig .gif-green .png

FIGEPS :=	$(FIGS:%.fig=%.eps)
FIGPDF :=	$(FIGS:%.fig=%.pdf)
FIG_PS :=	$(FIGS:%.fig=%.ps)
FIGGIF :=	$(FIGS:%.fig=%.gif)

# set and export TEXINPUTS
TEXINPUTS=$(LATEX2HTMLLIB):$(LINUXDOCLIB):$$TEXINPUTS:
TEXENV=  TEXINPUTS=$(TEXINPUTS);export TEXINPUTS;

GIFS = $(L2HGIFS) zmailer-logo2.gif

all:
	@echo "make tag choices: clean dist html dvi ps pdf"

dvi:	zmanual.dvi
ps:	zmanual.ps
pdf:	zmanual.pdf
html:	zmanual.html
dist:	manual_parts.tar.gz

zmailer-logo2.gif zlogo: zmailer-logo2.gif-green
	cp -p zmailer-logo2.gif-green zmailer-logo2.gif

zmailer-logo2.gif-green: zmailer-logo.ps

gifs: $(FIGGIF)

$(L2HGIFS):

z-version.txt: ${PARTS} ${FIGS}
	echo "${VERSION}.`TZ=UTC date +%Y%m%d%H%M`" > z-version.txt


OJCAT = /usr/share/sgml/openjade-1.3.2/catalog

publish: zmanual.pdf zmanual.html 
	rm -rf /home/httpd/zmailer/html/zman/*
	cp -a zmanual/. /home/httpd/zmailer/html/zman/
	cp zmanual.pdf  /home/httpd/zmailer/html/zman/

zmanual.html: zmanual/zmanual.shtml

zmanual/zmanual.shtml: gifs $(PARTS)
	rm -rf zmanual
	TZ=UTC date > z-datetime.txt
	echo "HTML" > z-what.txt
	echo '<!ENTITY GEXT "gif">' > z-gext.txt
	make z-version.txt
	make index-html
	./db2html -c ${OJCAT} -d `/bin/pwd`/'zmanual.dsl#html' zmanual.sgml
	cp -p *.gif zmanual/
	cp zmanual.css2 zmanual/zmanual.css
	cd zmanual; ../html-post-fixup.sh *.html

HTML.index:
	touch genindex.sgm
	./db2html -c ${OJCAT} -d `/bin/pwd`/'zmanual.dsl#html' -V html-index zmanual.sgml
	mv zmanual/HTML.index .

genindex.sgm index-html index-dvi index-pdf: HTML.index
	./collateindex.pl -d zman-index.html -f -g -i document-index -t Index -o genindex.sgm HTML.index

zmanual.ps: zmanual.dvi $(FIGEPS)
	dvips -ta4 -ozmanual.ps zmanual.dvi

zmanual.dvi: $(PARTS) $(FIGEPS) zmanual.sgml
	TZ=UTC date > z-datetime.txt
	echo "PostScript" > z-what.txt
	echo '<!ENTITY GEXT "eps">' > z-gext.txt
	make z-version.txt
	make index-dvi
	db2dvi -c ${OJCAT} -d `/bin/pwd`/'zmanual.dsl#print' zmanual.sgml

zmanual.pdf: $(PARTS) $(FIGPDF) zmanual.sgml
	TZ=UTC date > z-datetime.txt
	echo "PDF" > z-what.txt
	echo '<!ENTITY GEXT "pdf">' > z-gext.txt
	make z-version.txt
	make index-pdf
	db2pdf -c ${OJCAT} -d `/bin/pwd`/'zmanual.dsl#pdf'  zmanual.sgml

distclean clean:
	# Leave "zmanual.ps" in place, if it exists
	rm -f *~ *.html *.eps *.gif *.bak *.dvi *.toc *.lof *.pdf *.ps
	rm -f *.css *.aux *.ptr *.old *.ilg *.gls *.cb *.glo *.log
	rm -rf l2h[1-9][0-9]* *sections.pl *internals.pl #*index.pl
	rm -f *contents.pl *.ind *.idx *images.pl *table.pl
	rm -f [A-Z]*images.* *labels.pl *figure.pl IMG_PAR*
	rm -f TEXENV *.ps.gz *.xbm *.png
	rm -f *.gif-green z-datetime.txt
	rm -rf zmanual



%.gif: %.ps
	rm -f $@.ppm
	ghostscript -dNOPAUSE -sPAPERSIZE=a3 -sDEVICE=ppm -sOutputFile=$@.ppm $^ -c quit
	if [ ! -f $@.ppm ] ; then exit 1 ;fi # No file, abort!
	pnmcrop < $@.ppm | ppmtogif -transparent white > $@
	rm -f $@.ppm

%.gif-green: %.ps
	rm -f $@.ppm
	ghostscript -dNOPAUSE -sPAPERSIZE=a3 -sDEVICE=ppm -sOutputFile=$@.ppm $^ -c quit
	if [ ! -f $@.ppm ] ; then exit 1 ;fi # No file, abort!
	pnmcrop < $@.ppm | ppmtogif -transparent green > $@
	rm -f $@.ppm

%.ps: %.fig
	fig2dev -Lps -c -p x -z A3 -m 1.0000 -x 0 -y 0 -n $@ $< $@

zmailer-logo.eps: zmailer-logo.fig
	fig2dev -Leps -c -p x -z A3 -m 1.0000 -x 0 -y 0 -n $@ $< $@

%.eps: %.fig
	fig2dev -Leps -c -p x -z A3 -m 0.5000 -x 0 -y 0 -n $@ $< $@

%.pdf: %.eps
	: epstopdf $<
	sh ./eps2epdf $< $@


$(FIG_PS): $(FIGS)
$(FIGEPS): $(FIGS)
$(FIGPDF): $(FIGS)

manual_parts.tar.gz: manual_parts.tar

manual_parts.tar: Makefile $(PARTS) $(FIGS)
	tar -cf manual_parts.tar Makefile $(PARTS) $(FIGS)
	gzip -c manual_parts.tar > manual_parts.tar.gz


index:	html ps pdf
	gzip -9 < zmanual.ps > zmanual/zmanual.ps.gz
	cd zmanual ; ../makeindex.sh > index.html

=== doc/slides/Makefile ===

all:	zmailer-fuug@sea2000.ps zmailer-fuug@sea2000.pdf

zmailer-fuug@sea2000.ps:  zmailer-fuug@sea2000.dvi
	dvips -t a4 -t landscape zmailer-fuug@sea2000
	-if [ -d /net/mea/home/ftp/zmailer ]; then \
	  gzip -9 < zmailer-fuug@sea2000.ps > /net/mea/home/ftp/zmailer/zmailer-fuug@sea2000.ps.gz; \
	fi

zmailer-fuug@sea2000.dvi: zmailer-fuug@sea2000.tex
	latex zmailer-fuug@sea2000.tex

zmailer-fuug@sea2000.pdf: zmailer-fuug@sea2000.ps
	ps2pdf zmailer-fuug@sea2000.ps
	-cp  zmailer-fuug@sea2000.pdf /net/mea/home/ftp/zmailer/

clean:
	rm -f *~ *.aux *.dvi *.log

=== debian/changelog ===
zmailer (2.99.55-3.1) unstable; urgency=low

  * Non-Maintainer Upload
  * Changed Build-Depend on libgdbm1g-dev to libgdbm-dev; libgdbm1g-dev
    is obsolete. (Closes: #199611)
  * Added perl:Depends to Dependancies, activated dh_perl in
    debian/rules. This should cause the perl dependancy to appear
    properly now. (Closes: #200067)
  * Updated Build-Dependancy on debhelper to be >= 3, since debian/rules
    uses DH_COMPAT=3. (No bug; required for building NMU)

 -- Joel Baker <fenton@debian.org>  Sat, 23 Aug 2003 11:27:58 -0600

zmailer (2.99.55-3) unstable; urgency=low
  
  * Added ed to build-depends. (closes: #117620)
 
 -- Hector Garcia <hector@debian.org>  Tue, 30 Oct 2001 23:35:42 +0100

zmailer (2.99.55-2) unstable; urgency=low

  * Making symlinks at postinst instead of being part of the package to avoid
    overwrite user config files.
  * Copying /etc/zmailer/cf/proto/* into /etc/zmailer/cf/ because without it
    router process doesn't work at all.
  * Fixed bug in build-depends that prevented from building on ia64 and hppa.
    (closes: #115969)  

 -- Hector Garcia <hector@debian.org>  Fri, 27 Oct 2001 22:35:42 +0100
  

zmailer (2.99.55-1) unstable; urgency=low

  * New upstream release.
  * Package now uses DH_COMPAT=3 so conffiles file is added by debhelper. 
  
 -- Hector Garcia <hector@debian.org>  Fri, 14 Sep 2001 22:35:42 +0100

zmailer (2.99.51.52pre3-3) unstable; urgency=low

  * Adopted zmailer. (closes: #86513)
  * Build-depends added. (closes: #104554)
  * Changed mail-user-agent for mail-reader. (closes: #63363)
  * Created symbolic links for the man pages. (closes: #99564)
  * Amayita didn't do nothing but was a real PITA.

 -- Hector Garcia <hector@debian.org>  Sat, 19 Aug 2001 02:39:34 +0100

zmailer (2.99.51.52pre3-2.1) unstable; urgency=low
  * Non-maintainer upload.
  * va_arg promotes shorts and chars to int.  As of gcc >= 2.96, this is
    flagged as an error.  Closes: #103649.

 -- LaMont Jones <lamont@debian.org>  Mon,  9 Jul 2001 21:39:34 -0600

zmailer (2.99.51.52pre3-2) unstable; urgency=low

  * Fixes in the /etc/init.d script (testing for files and directories)

 -- Remco van de Meent <remco@debian.org>  Sun, 31 Oct 1999 17:35:42 +0100

zmailer (2.99.51.52pre3-1) unstable; urgency=low

  * New upstream Release.
  * Upgraded to Standards-Version: 3.0.1.1
  * Fixes slink->potato upgrade problems, closes: Bug#48598 (rc)
  * Addresses conflicts with vacation from bsdmainutils, closes: Bug#44350

 -- Remco van de Meent <remco@debian.org>  Sat, 30 Oct 1999 14:51:36 +0200

zmailer (2.99.50.s19-2) unstable; urgency=low

  * Split up the package into zmailer and zmailer-ssl
  * Updated Standards-Version to 2.5.1.0

 -- Remco van de Meent <remco@debian.org>  Mon, 19 Jul 1999 10:44:52 +0200

zmailer (2.99.50.s19-1) unstable; urgency=low

  * New upstream release
  * Applied patch zmailer-2.99.50s19.patch1 from upstream
  * From now on ZMailer is being distributed from non-US because of
    cryptographic routines in the upstream source
  * Added dependency on lynx, because of the policy-builder.sh script,
    closes: Bug#41210
  * Added numerous files to debian/conffiles to prevent unexpected
    overriding of files a user may have edited, closes: Bug#41145
  * Upgraded to Standards-Version 2.5.0.0

 -- Remco van de Meent <remco@debian.org>  Sun, 18 Jul 1999 15:20:02 +0200

zmailer (2.99.50.s17-1) unstable; urgency=high

  * New upstream release
  * SECURITY FIX !! Quote from upstream: 
        There is a SECURITY FAULT in all ZMailer smtpservers that allow
        running router in interactive mode to assist/do address analysis
        with user inputs.  This fault exists in *ALL* versions of ZMailer
        previous to this one! (even 2.2.1 !)

 -- Remco van de Meent <remco@debian.org>  Tue, 11 May 1999 06:46:18 +0200

zmailer (2.99.50.s15-3) unstable; urgency=low

  * Tiny bugfix relating to statbuf.f_frsize in smtpserver/fdstatfs.c,
    thanks to Daniel Podlejski <underley@underley.eu.org>

 -- Remco van de Meent <remco@debian.org>  Thu,  6 May 1999 13:53:27 +0200

zmailer (2.99.50.s15-2) unstable; urgency=low

  * Applied zmailer-2.99.50s15.patch1

 -- Remco van de Meent <remco@debian.org>  Sat,  1 May 1999 20:41:51 +0200

zmailer (2.99.50.s15-1) unstable; urgency=low

  * New upstream release

 -- Remco van de Meent <remco@debian.org>  Mon, 19 Apr 1999 14:38:58 +0200

zmailer (2.99.50.s14-1) unstable; urgency=low

  * New upstream release
  * Little changes in the configuration stuff

 -- Remco van de Meent <remco@debian.org>  Tue,  6 Apr 1999 09:47:27 +0200

zmailer (2.99.50.s11-3) unstable; urgency=low

  * Recompile for libc6 2.1
  * Minor cleanups

 -- Remco van de Meent <remco@debian.org>  Sun, 21 Mar 1999 15:42:51 +0100

zmailer (2.99.50.s11-2) unstable; urgency=low

  * Patched lib/selfaddrs.c on request of Roman Hodek, closes Bug#33601
  * Fixed init.d script, so it wont output when certain directories dont
    exist, closes Bug#27194

 -- Remco van de Meent <remco@debian.org>  Fri, 19 Feb 1999 15:45:58 +0100

zmailer (2.99.50.s11-1) unstable; urgency=low

  * Added a reworked zmailstats script
  * Location of perl corrected to Debian standards.
  * Added a note on using the MAPS RBL in ZMailer to README.Debian, closes #18425
  * Added a note on local delivery by procmail to README.Debian, closes #16641
  * New maintainer, package resurrected, restarting from a brand new source
    tree. Old changelog included in /usr/doc/zmailer. The patches that came
    in the .diff.gz with the old Debian zmailer package ain't relevant
    anymore.

 -- Remco van de Meent <remco@debian.org>  Tue,  2 Feb 1999 19:54:20 +0100

=== debian/control ===
Source: zmailer
Section: mail
Priority: extra
Maintainer: Hector Garcia <hector@debian.org>
Build-Depends: binutils, cpp, debhelper (>= 3), libdb2-dev, libgdbm-dev, libwrap0, libwrap0-dev, locales, libpam0g-dev, ed
Standards-Version: 3.2.1

Package: zmailer
Architecture: any
Depends: ${shlibs:Depends}, ${perl:Depends}, netbase
Provides: mail-transport-agent
Suggests: mail-reader, metamail
Conflicts: mail-transport-agent
Description: Mailer for Extreme Performance Demands
 This is a package that implements an internet Message Transfer Agent
 called ZMailer.  It is intended for gateways or mail servers or other
 large site environments that have extreme demands on the abilities of
 the mailer.  It was motivated by the problems of the Sendmail design
 in such situations. ZMailer is one of the mailers able to deal with
 huge quantities of mail and is more efficient any other mailer, qmail
 included, mostly due to its excellent queueing algorithms.
 .
 Most users don't need this package -- for most users, sendmail or exim or
 smail will suffice.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3

#Not yet
#CFLAGS = -O2 -Wall
#ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
#	CFLAGS += -g
#endif
      
build: build-stamp
build-stamp:
	dh_testdir

	./configure --prefix=/usr/lib/zmailer \
		--with-postoffice=/var/spool/postoffice \
		--with-system-malloc \
		--with-mailshare=/etc/zmailer \
		--with-mailvar=/etc/zmailer \
		--with-zconfig=/etc/zmailer/zmailer.conf \
		--with-mailbin=/usr/lib/zmailer \
		--includedir=/usr/lib/zmailer \
		--with-sendmailpath=/usr/sbin/sendmail \
		--with-logdir=/var/log/zmailer \
		--with-rmailpath=/usr/sbin/rmail 

	# --with-openssl-include=/usr/include/openssl 
	# --with-openssl-lib=/usr/lib

	# Add here commands to compile the package.
	$(MAKE) 
	# CFLAGS="$(CFLAGS)"

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
	rm -f config.status

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/zmailer.
	$(MAKE) install prefix=`pwd`/debian/zmailer

	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
	dh_installinit
	dh_installcron
	dh_installmanpages
	dh_installinfo
	dh_undocumented newfqdnaliases.1
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
	dh_suidregister

	rm -f debian/zmailer/etc/zmailer/ChangeLog
#	rm -f debian/zmailer/usr/usr/lib/zmailer/rmail \
#		debian/zmailer/usr/usr/sbin/rmail
	rm -f debian/zmailer/etc/zmailer/config.status

	(cd debian/zmailer/usr/sbin && rm -f rmail ; \
		ln -s ../lib/zmailer/rmail)
	(cd debian/zmailer/usr/sbin && rm -f sendmail ; \
		ln -s ../lib/zmailer/sendmail)
	(cd debian/zmailer/usr/bin && rm -f newaliases ; \
		ln -s ../lib/zmailer/newaliases)
	(cd debian/zmailer/usr/bin && rm -f mailq ; \
		ln -s ../lib/zmailer/mailq)
	(cd debian/zmailer/usr/bin && rm -f vacation ; \
		ln -s ../lib/zmailer/vacation.sh vacation)
#	(cd debian/zmailer/etc/zmailer && ln -s proto/sm.conf)
#	(cd debian/zmailer/etc/zmailer && ln -s proto/scheduler.conf)
#	(cd debian/zmailer/etc/zmailer && ln -s proto/smtpserver.conf)
#	(cd debian/zmailer/etc/zmailer && ln -s cf/TELE-FI.cf router.cf)
#	(cd debian/zmailer/etc/zmailer/db && ln -s proto/fqdnaliases)
#	(cd debian/zmailer/etc/zmailer/db && ln -s proto/localnames)
#	(cd debian/zmailer/etc/zmailer/db && ln -s proto/routes)
#	(cd debian/zmailer/etc/zmailer/db && ln -s proto/smtp-policy.relay)
#	(cd debian/zmailer/etc/zmailer/db && ln -s proto/smtp-policy.src)
	(cd debian/zmailer/etc/zmailer/cf/ && cp proto/* ./)
	dh_makeshlibs
	dh_installdeb
	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
